com.aliyun.svideosdk.editor

## Enum AliyunIVodCompose.AliyunComposeState

- java.lang.Object
- - java.lang.Enum<AliyunIVodCompose.AliyunComposeState>
  - - com.aliyun.svideosdk.editor.AliyunIVodCompose.AliyunComposeState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliyunIVodCompose.AliyunComposeState>
  Enclosing interface:
    AliyunIVodCompose

      public static enum AliyunIVodCompose.AliyunComposeState
      extends java.lang.Enum<AliyunIVodCompose.AliyunComposeState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `STATE_IDLE` 初始状态
    `STATE_IMAGE_UPLOADING` 图片上传状态
    `STATE_VIDEO_UPLOADING` 视频上传状态

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliyunIVodCompose.AliyunComposeState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliyunIVodCompose.AliyunComposeState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATE_IDLE

          public static final AliyunIVodCompose.AliyunComposeState STATE_IDLE

      初始状态

    - #### STATE_IMAGE_UPLOADING

          public static final AliyunIVodCompose.AliyunComposeState STATE_IMAGE_UPLOADING

      图片上传状态

    - #### STATE_VIDEO_UPLOADING

          public static final AliyunIVodCompose.AliyunComposeState STATE_VIDEO_UPLOADING

      视频上传状态

  - ### Method Detail

    - #### values

          public static AliyunIVodCompose.AliyunComposeState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliyunIVodCompose.AliyunComposeState c : AliyunIVodCompose.AliyunComposeState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliyunIVodCompose.AliyunComposeState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null